Package org.apache.wiki.cache

## Class CacheInfo

- java.lang.Object
- - org.apache.wiki.cache.CacheInfo

    public class CacheInfo
    extends java.lang.Object

Simple pojo that holds cache information.

### Constructor Summary

Constructors
`CacheInfo​(java.lang.String name, long maxElementsAllowed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getHits()`
`long` `getMaxElementsAllowed()`
`long` `getMisses()`
`java.lang.String` `getName()`
`void` `hit()`
`void` `miss()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheInfo

    public CacheInfo​(java.lang.String name,
                     long maxElementsAllowed)

### Method Detail

#### hit

    public void hit()

#### miss

    public void miss()

#### getName

    public java.lang.String getName()

#### getMisses

    public long getMisses()

#### getHits

    public long getHits()

#### getMaxElementsAllowed

    public long getMaxElementsAllowed()